package com.chinacreator.process.bean;

public class OrderInfo {
    private String id;
    private String cpid;
    private String spid;
    private String userid;
    private String ordertime;
    private String endtime;
    private String canceltime;
    private String effecttime;
    private int status;
    private String orderchannel;
    private String cancelchannel;
    private int ordertype = 0;
    private int orderstatus;
    private String videoid;
    private String videoname;
    private int type;
    private String apptype;
    private String province;
    private String area;
    private String channel;
    private int isexperience = 0;
    private String productid;
    private String showstatus = "";
    private String payuserid;
    private boolean canadd;
    private String mutex;
    private int paytype;
    private String relationSp;
    private int cachesucceed = 1;
    private int errorhandle;
    private String times;
    //for auth
    private String token;
    private String access = "1";
    private String seqnumber;

    private String orderid; //优酷后向产品
    private String signature;
    private String timestamp;
    private String reorderid; //优酷后向退订时传值，订购时的订单ID
    private String subchannel; //拓维后向渠道标识
    //产品标识，1前向，2后向，3前向合约，4后向合约
    private String directype;

    private String provinceCode;//限制省份编码

    private String  timeType; //限制类型
    
    private String subtype; //1为CAP短信接口，2为自有短信接口
    
    /**
     * 能力平台次月生效同步状态，同步状态，1待处理，2处理中，3失败，0成功，4不处理，对应表TL_NMA_ORDER_LOG的SYNCSTATUS字段
     */
    private String syncstatus;

    /**
     * cap退订状态
     */
    private String isvacorder;

    private String invokeface; //调接口名称，用于权限验证
    private String extend1;

    public String getIsvacorder() {
        return isvacorder;
    }

    public void setIsvacorder(String isvacorder) {
        this.isvacorder = isvacorder;
    }

    public String getExtend1() {
        return this.extend1;
    }

    public void setExtend1(String extend1) {
        this.extend1 = extend1;
    }
    
	public String getInvokeface() {
		return invokeface;
	}

	public void setInvokeface(String invokeface) {
		this.invokeface = invokeface;
	}

	public String getSyncstatus() {
		return syncstatus;
	}

	public void setSyncstatus(String syncstatus) {
		this.syncstatus = syncstatus;
	}

	public String getSubtype() {
		return subtype;
	}

	public void setSubtype(String subtype) {
		this.subtype = subtype;
	}

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceNum) {
        this.provinceCode = provinceNum;
    }

    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }

    public String getDirectype() {
        return directype;
    }

    public void setDirectype(String directype) {
        this.directype = directype;
    }

    public String getSubchannel() {
        return subchannel;
    }

    public void setSubchannel(String subchannel) {
        this.subchannel = subchannel;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getReorderid() {
        return reorderid;
    }

    public void setReorderid(String reorderid) {
        this.reorderid = reorderid;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid;
    }

    public String getSeqnumber() {
        return seqnumber;
    }

    public void setSeqnumber(String seqnumber) {
        this.seqnumber = seqnumber;
    }

    public String getAccess() {
        return access;
    }

    public void setAccess(String access) {
        this.access = access;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getTimes() {
        return times;
    }

    public void setTimes(String times) {
        this.times = times;
    }

    public int getErrorhandle() {
        return this.errorhandle;
    }

    public void setErrorhandle(int errorhandle) {
        this.errorhandle = errorhandle;
    }

    public int getCachesucceed() {
        return this.cachesucceed;
    }

    public void setCachesucceed(int cachesucceed) {
        this.cachesucceed = cachesucceed;
    }

    public String getRelationSp() {
        return this.relationSp;
    }

    public void setRelationSp(String relationSp) {
        this.relationSp = relationSp;
    }

    public int getPaytype() {
        return this.paytype;
    }

    public void setPaytype(int paytype) {
        this.paytype = paytype;
    }

    public String getMutex() {
        return this.mutex;
    }

    public void setMutex(String mutex) {
        this.mutex = mutex;
    }

    public boolean isCanadd() {
        return this.canadd;
    }

    public void setCanadd(boolean canadd) {
        this.canadd = canadd;
    }

    public String getPayuserid() {
        return this.payuserid;
    }

    public void setPayuserid(String payuserid) {
        this.payuserid = payuserid;
    }

    public String getCpid() {
        return this.cpid;
    }

    public void setCpid(String cpid) {
        this.cpid = cpid;
    }

    public String getSpid() {
        return this.spid;
    }

    public void setSpid(String spid) {
        this.spid = spid;
    }

    public String getUserid() {
        return this.userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getOrdertime() {
        return this.ordertime;
    }

    public void setOrdertime(String ordertime) {
        this.ordertime = ordertime;
    }

    public String getEndtime() {
        return this.endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getCanceltime() {
        return this.canceltime;
    }

    public void setCanceltime(String canceltime) {
        this.canceltime = canceltime;
    }

    public String getEffecttime() {
        return this.effecttime;
    }

    public void setEffecttime(String effecttime) {
        this.effecttime = effecttime;
    }

    public int getStatus() {
        return this.status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getOrderchannel() {
        return this.orderchannel;
    }

    public void setOrderchannel(String orderchannel) {
        this.orderchannel = orderchannel;
    }

    public String getCancelchannel() {
        return this.cancelchannel;
    }

    public void setCancelchannel(String cancelchannel) {
        this.cancelchannel = cancelchannel;
    }

    public int getOrderstatus() {
        return this.orderstatus;
    }

    public void setOrderstatus(int orderstatus) {
        this.orderstatus = orderstatus;
    }

    public String getVideoid() {
        return this.videoid;
    }

    public void setVideoid(String videoid) {
        this.videoid = videoid;
    }

    public String getVideoname() {
        return this.videoname;
    }

    public void setVideoname(String videoname) {
        this.videoname = videoname;
    }

    public int getType() {
        return this.type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getApptype() {
        return this.apptype;
    }

    public void setApptype(String apptype) {
        this.apptype = apptype;
    }

    public String getProvince() {
        return this.province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getArea() {
        return this.area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public int getOrdertype() {
        return this.ordertype;
    }

    public void setOrdertype(int ordertype) {
        this.ordertype = ordertype;
    }

    public int getIsexperience() {
        return this.isexperience;
    }

    public void setIsexperience(int isexperience) {
        this.isexperience = isexperience;
    }

    public String getShowstatus() {
        return this.showstatus;
    }

    public void setShowstatus(String showstatus) {
        this.showstatus = showstatus;
    }

    public String getProductid() {
        return this.productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
